#pragma once

#define GLFW_INCLUDE_VULKAN
#include <GLFW/glfw3.h>

class VulkanRenderPass
{
public:
	void Initialize(VkDevice InDevice);

	void Cleanup();

	void CreateRenderPass(VkFormat SwapChainImageFormat, VkFormat DepthFormat);

	VkRenderPass GetRenderPass() { return RenderPass; }

private:
	VkDevice	 Device;
	VkRenderPass RenderPass;
};
